read module

The read module API sends a GET request to retrieve a module.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Prerequisites

  • The caller must provide a module id.

Authorization

  • API key (via the X-API-KEY header).

Parameters

Path Parameters
Field nameDescriptionFormat
idModule IDUUID
Response Body
Field nameDescriptionFormat
idModule IDUUID
nameThe name of the moduleString
modifiedAtThe date and time of last modificationString
modifiedByThe user who last modified the moduleString
descriptionModule descriptionString
bookmarkedWhether the module is bookmarkedBoolean
createdAtThe date and time of creationString
createdByThe user who created the moduleString
connectionModule connectionObject
additionalInfoAdditional module infoObject
Connection Structure
Field nameDescriptionFormat
idConnection IDUUID
nameThe name of the connectionString
connectorThe type of connectorString
descriptionConnection descriptionString
profilesConnection profilesMap
modifiedAtThe date and time of modificationString
modifiedByThe user who last modified the connectionString
createdAtThe date and time of creationString
createdByThe user who created the connectionString
Profile Structure
Field nameDescriptionFormat
profileNameKeyString
profileValueProfile configJsonElement
Additional Info Structure
Field nameDescriptionFormat
numOfAssetsNumber of assets in the moduleInteger
numOfProjectsNumber of projects using the moduleInteger
typeThe module connector typeString

Examples

{
  "id": "00000000-0000-0000-0000-000000000011",
  "name": "module-mainframe-rpc",
  "modifiedAt": "2026-01-01T00:00:00.000000Z",
  "modifiedBy": "John Doe",
  "description": "",
  "bookmarked": false,
  "createdAt": "2026-01-01T00:00:00.000000Z",
  "createdBy": "John Doe",
  "connection": {
    "id": "00000000-0000-0000-0000-000000000001",
    "name": "module-mainframe-rpc-default-connection-1",
    "connector": "mainFrameRpc",
    "description": "Auto-generated connection for module module-mainframe-rpc",
    "profiles": {
      "$default": {
        "baseUrl": "http://cics.example.internal",
        "uriMap": "/example/latest",
        "port": "12345",
        "codePage": "cp037"
      }
    },
    "modifiedAt": "2026-01-01T00:00:00.000000000Z",
    "modifiedBy": "",
    "createdAt": "2026-01-01T00:00:00.000000000Z",
    "createdBy": ""
  },
  "additionalInfo": {
    "numOfAssets": 0,
    "numOfProjects": 0,
    "type": "mainFrameRpc"
  }
}
Path Params
string
required
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json